org.apache.commons.ssl.asn1

## Class BERConstructedOctetString

- java.lang.Object
- - org.apache.commons.ssl.asn1.ASN1Encodable
  - - org.apache.commons.ssl.asn1.DERObject
    - - org.apache.commons.ssl.asn1.ASN1Object
      - - org.apache.commons.ssl.asn1.ASN1OctetString
        - - org.apache.commons.ssl.asn1.DEROctetString
          - - org.apache.commons.ssl.asn1.BERConstructedOctetString

All Implemented Interfaces:
  ASN1OctetStringParser, DEREncodable, DERTags

    public class BERConstructedOctetString
    extends DEROctetString

### Field Summary

Fields
`private static int` `MAX_LENGTH`
`private java.util.Vector` `octs`

### Fields inherited from class org.apache.commons.ssl.asn1.ASN1OctetString

`string`

### Fields inherited from class org.apache.commons.ssl.asn1.ASN1Encodable

`BER, DER`

### Fields inherited from interface org.apache.commons.ssl.asn1.DERTags

`APPLICATION, BIT_STRING, BMP_STRING, BOOLEAN, CONSTRUCTED, ENUMERATED, EXTERNAL, GENERAL_STRING, GENERALIZED_TIME, GRAPHIC_STRING, IA5_STRING, INTEGER, NULL, NUMERIC_STRING, OBJECT_IDENTIFIER, OCTET_STRING, PRINTABLE_STRING, SEQUENCE, SEQUENCE_OF, SET, SET_OF, T61_STRING, TAGGED, UNIVERSAL_STRING, UTC_TIME, UTF8_STRING, VIDEOTEX_STRING, VISIBLE_STRING`

### Constructor Summary

Constructors
Constructor and Description
`BERConstructedOctetString(byte[] string)`
`BERConstructedOctetString(DEREncodable obj)`
`BERConstructedOctetString(DERObject obj)`
`BERConstructedOctetString(java.util.Vector octs)`

### Method Summary

Methods
`void` `encode(DEROutputStream out)`
`private java.util.Vector` `generateOcts()`
`java.util.Enumeration` `getObjects()` return the DER octets that make up this string.
`byte[]` `getOctets()`
`private static byte[]` `toBytes(java.util.Vector octs)` convert a vector of octet strings into a single byte string

### Methods inherited from class org.apache.commons.ssl.asn1.ASN1OctetString

`asn1Equals, getInstance, getInstance, getOctetStream, hashCode, parser, toString`

### Methods inherited from class org.apache.commons.ssl.asn1.ASN1Object

`equals, fromByteArray`

### Methods inherited from class org.apache.commons.ssl.asn1.DERObject

`toASN1Object`

### Methods inherited from class org.apache.commons.ssl.asn1.ASN1Encodable

`getDEREncoded, getDERObject, getEncoded, getEncoded`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.apache.commons.ssl.asn1.DEREncodable

`getDERObject`

### Field Detail

#### MAX_LENGTH

    private static final int MAX_LENGTH

See Also:
  Constant Field Values

#### octs

    private java.util.Vector octs

### Constructor Detail

#### BERConstructedOctetString

    public BERConstructedOctetString(byte[] string)

Parameters:
  `string` - the octets making up the octet string.

#### BERConstructedOctetString

    public BERConstructedOctetString(java.util.Vector octs)

#### BERConstructedOctetString

    public BERConstructedOctetString(DERObject obj)

#### BERConstructedOctetString

    public BERConstructedOctetString(DEREncodable obj)

### Method Detail

#### toBytes

    private static byte[] toBytes(java.util.Vector octs)

convert a vector of octet strings into a single byte string

#### getOctets

    public byte[] getOctets()

Overrides:
  `getOctets` in class `ASN1OctetString`

#### getObjects

    public java.util.Enumeration getObjects()

return the DER octets that make up this string.

#### generateOcts

    private java.util.Vector generateOcts()

#### encode

    public void encode(DEROutputStream out)
                throws java.io.IOException

Overrides:
  `encode` in class `DEROctetString`
Throws:
  `java.io.IOException`